#
# spec file for package eatmydata
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           eatmydata
Version:        105
Release:        bp153.1.16
Summary:        A library to disable fsync calls
License:        GPL-3.0
Group:          Development/Tools/Other
Url:            http://www.flamingspork.com/projects/libeatmydata/
# https://launchpad.net/libeatmydata
Source0:        http://www.flamingspork.com/projects/libeatmydata/libeatmydata-%{version}.tar.gz
Source1:        http://www.flamingspork.com/projects/libeatmydata/libeatmydata-%{version}.tar.gz.asc
Source2:        %{name}.keyring
Source3:        %{name}-rpmlintrc
Patch1:         libeatmydata-105-remove-dpkg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildRequires:
#Requires:       bash

%description
libeatmydata is a small LD_PRELOAD library designed to (transparently) disable fsync (and friends, like open(O_SYNC)). This has two side-effects: making software that writes data safely to disk a lot quicker and making this software no longer crash safe.

%prep
%setup -q -n lib%{name}-%{version}
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -rf %{buildroot}%{_libexecdir}/debug
rm -f %{buildroot}/%{_libdir}/libeatmydata.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%attr(0755,root,root) %{_bindir}/eatmydata
%attr(0755,root,root) %{_libexecdir}/eatmydata.sh
%{_libdir}/libeatmydata.so*

%changelog
* Thu Mar 26 2015 astieger@suse.com
- fix libdir for shlib on 64 bit
* Fri Jan 30 2015 andreas.stieger@gmx.de
- rename eatmydata.rpmlintrc to eatmydata-rpmlintrc for Factory
* Thu Jan 29 2015 andreas.stieger@gmx.de
- add eatmydata.rpmlintrc to spec file
- reduce suppressed rpmlint warnings
- note reason for suppression of shlib-policy-name-error
* Sun Jan 25 2015 andreas.stieger@gmx.de
- eatmydata 105:
  + no release notes
- includes changes from 82:
  + Add pthread_testcancel() calls to fix a bug where libeatmydata
    wrapped fsync() wasn't a cancellation point which caused
    problems with eglibc builds in debian.
  + - another fixto get open and open64 on 32bit
- includes changes from 79:
  + fixed issues with largefile support on 64 and 32bit platforms
    and being consistent behavior on if _FILE_OFFSET_BITS was
    defined or not (test also added)
- packaging changes:
  + verify source signature
  + clean spec file
  + add documentation
  + adjust %%defattr to make %%doc work on SLE 11
  + add libeatmydata-105-remove-dpkg.patch to remove dpkg call for
    run-time architecture description
* Mon Apr 15 2013 jdsn@suse.de
- initial package of eatmydata version 65
